<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myCalendarDayOffLabel" jhiTranslate="mpmApp.calendarDayOff.home.createOrEditLabel">Create or edit a Calendar Day Off</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!calendarDayOff.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="calendarDayOff.id" readonly />
        </div>
        <!-- <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.calendarDayOff.iddayoff" for="field_iddayoff">Iddayoff</label>
            <input type="text" class="form-control" name="iddayoff" id="field_iddayoff"
                [(ngModel)]="calendarDayOff.iddayoff"  />
        </div> -->
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.calendarDayOff.dtdayoff" for="field_dtdayoff">Dtdayoff</label>
            <div class="d-flex">
                <input id="field_dtdayoff" class="form-control" type="date" name="dtdayoff"  [(ngModel)]="calendarDayOff.dtdayoff" placeholder="dd-mm-yyyy" min="1997-01-01" max="9999-12-31" />
                <!-- <input id="field_dtdayoff" type="datetime-local" class="form-control" name="dtdayoff" [(ngModel)]="calendarDayOff.dtdayoff"/> -->
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.calendarDayOff.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="calendarDayOff.description"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.calendarDayOff.status" for="field_status">Status</label>
            <input type="number" class="form-control" name="status" id="field_status"
                [(ngModel)]="calendarDayOff.status"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
